| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
PacketListHeader Class Reference

Custom header view for the packet list. More...

`#include <packet_list_header.h>`

Inheritance diagram for PacketListHeader:

## Signals
void | resetColumnWidth (int col)
| Signal emitted to reset a column's width.
void | updatePackets (bool redraw)
| Signal emitted to update the packet list.
void | showColumnPreferences (QString pane_name)
| Signal emitted to show column preferences.
void | editColumn (int column)
| Signal emitted to edit a specific column.
void | columnsChanged ()
| Signal emitted when the columns configuration has changed.

## Public Member Functions
| PacketListHeader (Qt::Orientation orientation, QWidget *parent=nullptr)
| Constructs a PacketListHeader.
Public Member Functions inherited from AdaptiveHeaderView
| AdaptiveHeaderView (Qt::Orientation orientation, QWidget *parent=nullptr)
| Constructs an AdaptiveHeaderView.
virtual QSize | sizeHint () const override
| Overriding sizeHint to provide proper heights when font changes.

## Protected Slots
void | columnVisibilityTriggered ()
| Slot triggered to toggle column visibility.
void | setAlignment (QAction *action)
| Sets the alignment of a column.
void | setDisplayFormat (QAction *action)
| Sets the display format for a column.
void | showColumnPrefs ()
| Shows the column preferences dialog.
void | doEditColumn ()
| Initiates editing of the selected column.
void | resizeToContent ()
| Resizes the column to fit its contents.
void | removeColumn ()
| Removes the selected column.
void | resizeToWidth ()
| Prompts to resize the column to a specific width.

## Protected Member Functions
virtual void | dropEvent (QDropEvent *event) override
| Handles drop events.
virtual void | dragEnterEvent (QDragEnterEvent *event) override
| Handles drag enter events.
virtual void | dragMoveEvent (QDragMoveEvent *event) override
| Handles drag move events.
virtual void | mouseMoveEvent (QMouseEvent *e) override
| Handles mouse move events.
virtual void | mousePressEvent (QMouseEvent *e) override
| Handles mouse press events.
virtual void | contextMenuEvent (QContextMenuEvent *event) override
| Handles context menu events.
Protected Member Functions inherited from AdaptiveHeaderView
virtual void | changeEvent (QEvent *event) override

## Detailed Description

Custom header view for the packet list.

## Constructor & Destructor Documentation

## ◆ PacketListHeader()

PacketListHeader::PacketListHeader | ( | Qt::Orientation | orientation,
|  | QWidget * | parent = nullptr )

Constructs a PacketListHeader.

Parameters

  orientation | The orientation of the header.
  parent | The parent widget.

## Member Function Documentation

## ◆ contextMenuEvent()

void PacketListHeader::contextMenuEvent | ( | QContextMenuEvent * | event | ) |
| override protected virtual

Handles context menu events.

Parameters

  event | The context menu event.

## ◆ dragEnterEvent()

void PacketListHeader::dragEnterEvent | ( | QDragEnterEvent * | event | ) |
| override protected virtual

Handles drag enter events.

Parameters

  event | The drag enter event.

## ◆ dragMoveEvent()

void PacketListHeader::dragMoveEvent | ( | QDragMoveEvent * | event | ) |
| override protected virtual

Handles drag move events.

Parameters

  event | The drag move event.

## ◆ dropEvent()

void PacketListHeader::dropEvent | ( | QDropEvent * | event | ) |
| override protected virtual

Handles drop events.

Parameters

  event | The drop event.

## ◆ editColumn

void PacketListHeader::editColumn | ( | int | column | ) |
| signal

Signal emitted to edit a specific column.

Parameters

  column | The column index to edit.

## ◆ mouseMoveEvent()

void PacketListHeader::mouseMoveEvent | ( | QMouseEvent * | e | ) |
| override protected virtual

Handles mouse move events.

Parameters

  e | The mouse event.

## ◆ mousePressEvent()

void PacketListHeader::mousePressEvent | ( | QMouseEvent * | e | ) |
| override protected virtual

Handles mouse press events.

Parameters

  e | The mouse event.

## ◆ resetColumnWidth

void PacketListHeader::resetColumnWidth | ( | int | col | ) |
| signal

Signal emitted to reset a column's width.

Parameters

  col | The column index to reset.

## ◆ setAlignment

void PacketListHeader::setAlignment | ( | QAction * | action | ) |
| protected slot

Sets the alignment of a column.

Parameters

  action | The action specifying the alignment.

## ◆ setDisplayFormat

void PacketListHeader::setDisplayFormat | ( | QAction * | action | ) |
| protected slot

Sets the display format for a column.

Parameters

  action | The action specifying the format.

## ◆ showColumnPreferences

void PacketListHeader::showColumnPreferences | ( | QString | pane_name | ) |
| signal

Signal emitted to show column preferences.

Parameters

  pane_name | The name of the preference pane to show.

## ◆ updatePackets

void PacketListHeader::updatePackets | ( | bool | redraw | ) |
| signal

Signal emitted to update the packet list.

Parameters

  redraw | True to force a redraw, false otherwise.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/widgets/packet_list_header.h
- /builds/wireshark/wireshark/ui/qt/widgets/packet_list_header.cpp